MediaWiki:Common.css: Difference between revisions

From Structorica Wiki
Jump to navigation Jump to search
No edit summary
No edit summary
Line 24: Line 24:
     max-width: 100%;
     max-width: 100%;
     height: auto;
     height: auto;
}
.oo-ui-windowManager-modal > .oo-ui-dialog > .oo-ui-window-frame {
background-color: var(--background-color-base);
}
.oo-ui-panelLayout-framed,
.oo-ui-layout-framed {
    background-color: var(--background-color-base) !important;
}
}

Revision as of 13:51, 30 December 2025

/* CSS placed here will apply to all skins */

/*** BASE STYLES AND SETTINGS ***/

/** Color variables that could be changed by various skin themes */

/* LIGHT THEME - default */
:root,
.skin-invert,
.notheme {
    --background-color-base: #303031; /* Background Colors for static elements (for page layout, sections, etc.) from here on. */
    --color-base: #303031;
}

/* DARK THEME - Structorica Dark Theme */
:root .stw-theme-dark {
    --background-color-base: #161618; /* Background Colors for static elements (for page layout, sections, etc.) from here on. */
    --color-base: #f8f5f4;
}

/* Img */
.img-responsive,
.img-responsive img {
    max-width: 100%;
    height: auto;
}


.oo-ui-windowManager-modal > .oo-ui-dialog > .oo-ui-window-frame {
	background-color: var(--background-color-base);
}
.oo-ui-panelLayout-framed,
.oo-ui-layout-framed {
    background-color: var(--background-color-base) !important;
}